> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Link to Agent

> Link an existing ACE to a workforce component.



## OpenAPI

````yaml PUT /orgs/{org_id}/projects/{project_id}/workforce/{workforce}/ace
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: alarms
    description: Metric series and threshold alarms
  - name: analytics
    description: Org and project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: channels
    description: Delivery channels alarms notify through
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/projects/{project_id}/workforce/{workforce}/ace:
    put:
      tags:
        - ace
      description: Link an existing ACE to a workforce component.
      operationId: link
      parameters:
        - name: org_id
          in: path
          description: Organization id
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          description: Project id
          required: true
          schema:
            type: string
        - name: workforce
          in: path
          description: 'Workforce component: numeric id, manifest UUID, or name'
          required: true
          schema:
            type: string
        - name: rev
          in: query
          description: Git branch name (for example `main`).
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkAceReqBody'
        required: true
      responses:
        '204':
          description: ACE linked
          content:
            application/json:
              schema:
                type: 'null'
                description: Successful responses use HTTP 204 and do not include a body.
        '403':
          description: Forbidden
        '404':
          description: ACE or workforce not found
      security:
        - bearer_auth: []
components:
  schemas:
    LinkAceReqBody:
      type: object
      description: Request body for linking an existing ACE to a workforce.
      required:
        - ace_uid
      properties:
        ace_uid:
          type: string
          format: uuid
          description: '`uid` of an existing ACE in the same organization.'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````